List refunds
curl --request GET \
--url https://uat-secure.choosefloat.com/api/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://uat-secure.choosefloat.com/api/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-secure.choosefloat.com/api/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Refunds
List refunds
GET /api/refunds β paginated list of your refund requests.
GET
/
api
/
refunds
List refunds
Returns your merchantβs refund requests, paginated.
Attributes per item match Get a refund.
Rate limited to 1 request per minute β intended for back-office reconciliation, not live polling. Use get refund to track an individual request.
Request
Page to fetch.
Items per page.
curl "https://uat-secure.choosefloat.com/api/refunds?page[number]=1&page[items]=25" \
-H "Authorization: Bearer $FLOAT_CLIENT_SECRET" -g
Response
200
{
"data": [
{
"id": "5d1a7c9e-2222-4444-8888-aa11bb22cc33",
"type": "refund_requests",
"attributes": {
"amount": 100000,
"currency": "GBP",
"status": "complete",
"created_at": "2026-07-17T11:00:00Z"
}
}
],
"links": {
"first": "https://uat-secure.choosefloat.com/api/refunds?page[number]=1&page[items]=25",
"last": "https://uat-secure.choosefloat.com/api/refunds?page[number]=1&page[items]=25",
"prev": null,
"next": null
}
}
Errors
| HTTP | When |
|---|---|
401 | Bad Bearer token |
429 | More than 1 request per minute |
βI